#!/usr/bin/python

import urllib2
import re
from TropeSetMin import *

class CharTropeSet:
	def __init__(self,html=""):
		self.chars = []
		if html != "":
			self.load(html)
		return

	def load(self,html):
		splits = [x.start() for x in re.finditer('folderlabel|<h2|<h1|wmglead',html)]

		for s in range(len(splits)-1):
			start = splits[s]
			end = splits[s+1]

			char = TropeSet(html[start:end])

			if len(char.tropes) != 0:
				self.chars.append(char)

if __name__ == "__main__":
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/randomitem.php?p=1")
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Main/LiteratureOfThe2000s")
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Characters/Elementary")
	response = open("LitChars/AndThenThereWereNone")
	html = response.read()
	response.close()
	chars = CharTropeSet(html)
	for char in chars.chars:
		print char.tropes
