#!/usr/bin/python

import urllib2

class TropeSet:
	def __init__(self,html=""):
		self.tropes = []
		self.descs = []
		if html != "":
			self.load(html)
		return

	def load(self,html):
		begincursor = html.find("h2")
		shortsearchstring = "<a class='twikilink' href='"
		searchstring = "<a class='twikilink' href='http://tvtropes.org/pmwiki/pmwiki.php/Main/"
		finalcursor = html.find("</td><!-- wikibody -->")
		cursor = begincursor

		while cursor != -1:
			startcursor = html.find(searchstring,cursor,finalcursor) + len(shortsearchstring)
			endcursor = html.find("'",startcursor,finalcursor)
			name = html[startcursor:endcursor]

			startdesc = html.find("</a>:",endcursor,finalcursor) + 4
			enddesc = html.find("</li>",startdesc,finalcursor)
			desc = html[startdesc:enddesc]
			desc = desc.replace("<li>","").replace("<ul >","")

			if (startcursor < cursor):
				break

			if (startdesc < cursor):
				desc = ""

			self.tropes.append(name)
			self.descs.append(desc)
			cursor = endcursor

if __name__ == "__main__":
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/randomitem.php?p=1")
	#response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Main/LiteratureOfThe2000s")
	response = urllib2.urlopen("http://tvtropes.org/pmwiki/pmwiki.php/Characters/Literature")
	html = response.read()
	tropes = TropeSet(html)
	for trope in tropes.tropes:
		print trope
